program henon1
      integer :: n,i
      real :: x0,y0,x1,y1,a,b
      x0=0.63135448; y0=0.18940634                   !初期座標
      a=1.4; b=0.3                   !パラメタ
      n=5*1000000
      open(9,file="henon5.data")
      write(9,*) x0,y0
      do i=1,n
        x1=y0+1-a*x0*x0
        y1=b*x0
        write(9,*) x1,y1
        x0=x1
        y0=y1
      end do
      endfile(9)
end program henon1
